db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Øystein Grøvlen (JIRA) <j...@apache.org>
Subject [jira] Updated: (DERBY-2695) Add locator support of soft upgrade to 10.3
Date Wed, 30 May 2007 11:30:15 GMT

     [ https://issues.apache.org/jira/browse/DERBY-2695?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Øystein Grøvlen updated DERBY-2695:
-----------------------------------

    Attachment: softupgrade.diff

Attached patch handles soft upgrade by not using locators if the stored procedures for locators
does not exists.  The following files are changed:

M      java/drda/org/apache/derby/impl/drda/Database.java
    Added method to check whether the necessary stored procedure
    exists in the database.

M      java/drda/org/apache/derby/impl/drda/DRDAConnThread.java
    Ignore requests for locators if locators are not supported.

I am struggling a bit with getting the upgrade tests to test client/server Lobs so I will
have to get back to that in a later patch.


> Add locator support of soft upgrade to 10.3
> -------------------------------------------
>
>                 Key: DERBY-2695
>                 URL: https://issues.apache.org/jira/browse/DERBY-2695
>             Project: Derby
>          Issue Type: Sub-task
>          Components: Network Server
>    Affects Versions: 10.3.0.0
>            Reporter: Øystein Grøvlen
>            Assignee: Øystein Grøvlen
>             Fix For: 10.3.0.0
>
>         Attachments: softupgrade.diff
>
>
> If a database is soft upgraded to 10.3, the stored procedures used by the locator implementation
will not be present.  Hence, the server will in this scenario need to ignore requests for
locators and send LOB values instead.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message